package com.abi.qms.platform.dao.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.EnumSet;
import java.util.Set;

/**
 * 物料类型
 * @Author AndyTan
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum MaterialTypeEnum {

	//物料类型: 1-瓶&罐盖 2-成品酒
	COVER(1,"瓶&罐盖"),
	BEER(2,"成品酒");

	@EnumValue
	private Integer code;
	private String name;

	private static final Set<MaterialTypeEnum> ALL = EnumSet.allOf(MaterialTypeEnum.class);

    public static String getName(Integer code) {
        return ALL.stream()
                .filter(o -> o.code.equals(code))
                .map(o -> o.getName())
                .findAny().orElse(null);
    }

    public static Integer getCode(String name) {
        return ALL.stream()
                .filter(o -> o.name.equals(name))
                .map(o -> o.getCode())
                .findAny().orElse(null);
    }

	public boolean is(Integer code){
		return getCode().equals(code);
	}

}
