package com.abi.qms.platform.dao.vo.result;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 物料VO
 * 
 * @author AndyTan
 * @date 2021-05-18
 */
@Data
@Schema(name="物料VO对象", description="物料VO对象")
public class MaterialVO {

    @Schema(name = "id")
    private Long id;

    @Schema(name = "物料号")
    private String materialCode;

    @Schema(name = "物料名称")
    private String materialName;

    @Schema(name = "物料类型 1-瓶&罐盖 2-成品酒")
    private Integer materialType;

    @Schema(name = "描述")
    private String description;

    @Schema(name = "是否有效 0-无效 1-有效")
    private Integer valid;

    @Schema(name = "创建时间")
    private LocalDateTime createTime;

    @Schema(name = "修改时间")
    private LocalDateTime updateTime;

}
