package com.abi.qms.platform.dto.res;

import com.abi.task.common.api.base.PageResp;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author:Andy.Tan
 * @Description: 分页查询物料出参
 */
@Data
@Schema
public class ListMaterialRes extends PageResp implements Serializable {

    @Schema(name = "物料列表")
    private List<MaterialBean> materialBeanList;

    /**
     * 物料bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListMaterialRes_Material")
    public static class MaterialBean implements Serializable {

        @Schema(name = "id")
        private Long id;

        @Schema(name = "物料号")
        private String materialCode;

        @Schema(name = "物料名称")
        private String materialName;

        @Schema(name = "物料类型 1-瓶&罐盖 2-成品酒")
        private Integer materialType;

        @Schema(name = "描述")
        private String description;

        @Schema(name = "是否有效 0-无效 1-有效")
        private Integer valid;

        @Schema(name = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @Schema(name = "修改时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime updateTime;

    }
}
